<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedEntities/Triggers/UndergroundTrigger.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d15/_underground_trigger_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UndergroundTrigger.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d15/_underground_trigger_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html">    3</a></span><span class="keyword">class </span>UndergroundTriggerCarrier <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d55/class_underground_trigger_carrier_base.html">UndergroundTriggerCarrierBase</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#a35c579a0e250286f08423a5f1439bb17">    5</a></span>    ref <a class="code hl_class" href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a> <a class="code hl_variable" href="../../d8/d55/class_underground_trigger_carrier_base.html#a35c579a0e250286f08423a5f1439bb17">m_Data</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#af942e69f18c0ddcfc419be74650e7f2b">    6</a></span>    UndergroundTrigger <a class="code hl_variable" href="../../d8/d55/class_underground_trigger_carrier_base.html#af942e69f18c0ddcfc419be74650e7f2b">m_Trigger</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#a5e1afd54af9f60e7e4ac22fcac8322c5">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a5e1afd54af9f60e7e4ac22fcac8322c5">UndergroundTriggerCarrier</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_TriggerIndex&quot;</span>, -1, 255);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#ab77ace42af186622de28b0c40992cd12">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#ab77ace42af186622de28b0c40992cd12">~UndergroundTriggerCarrier</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span> (m_Trigger &amp;&amp; !m_Trigger.IsSetForDeletion() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>())</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="comment">//RemoveChild(m_Trigger);</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            m_Trigger.Delete();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#a85935355a7d5711d54ef66191232da3f">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a85935355a7d5711d54ef66191232da3f">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> (!m_Trigger)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a2781bd929db1154b09e0171a2e1920ff">SpawnTrigger</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#a936349bab0e3be7315c48940de89ac06">   31</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a936349bab0e3be7315c48940de89ac06">CanSpawnTrigger</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/de5/class_underground_area_loader.html">UndergroundAreaLoader</a>.<a class="code hl_variable" href="../../dd/de5/class_underground_area_loader.html#a6a31fd08c51f59856b563930cff87208">m_JsonData</a> &amp;&amp; m_TriggerIndex != -1;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#a54b9bc82fe01004b65c6977219ba20a1">   36</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a54b9bc82fe01004b65c6977219ba20a1">RequestDelayedTriggerSpawn</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="comment">//Print(&quot;RequestDelayedTriggerSpawn() &quot; + this);</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a>).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">CallLater</a>(SpawnTrigger, 100);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d8/d55/class_underground_trigger_carrier_base.html#a2781bd929db1154b09e0171a2e1920ff">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a2781bd929db1154b09e0171a2e1920ff">SpawnTrigger</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a936349bab0e3be7315c48940de89ac06">CanSpawnTrigger</a>())</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <a class="code hl_function" href="../../d8/d55/class_underground_trigger_carrier_base.html#a54b9bc82fe01004b65c6977219ba20a1">RequestDelayedTriggerSpawn</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../dd/de5/class_underground_area_loader.html">UndergroundAreaLoader</a>.<a class="code hl_variable" href="../../dd/de5/class_underground_area_loader.html#a6a31fd08c51f59856b563930cff87208">m_JsonData</a>.<a class="code hl_variable" href="../../df/d51/class_json_underground_triggers.html#a8f831e4879ada5169f3fba16ba09636b">Triggers</a> &amp;&amp; <a class="code hl_class" href="../../dd/de5/class_underground_area_loader.html">UndergroundAreaLoader</a>.<a class="code hl_variable" href="../../dd/de5/class_underground_area_loader.html#a6a31fd08c51f59856b563930cff87208">m_JsonData</a>.<a class="code hl_variable" href="../../df/d51/class_json_underground_triggers.html#a8f831e4879ada5169f3fba16ba09636b">Triggers</a>.IsValidIndex(m_TriggerIndex))</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_class" href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a> data = <a class="code hl_class" href="../../dd/de5/class_underground_area_loader.html">UndergroundAreaLoader</a>.<a class="code hl_variable" href="../../dd/de5/class_underground_area_loader.html#a6a31fd08c51f59856b563930cff87208">m_JsonData</a>.<a class="code hl_variable" href="../../df/d51/class_json_underground_triggers.html#a8f831e4879ada5169f3fba16ba09636b">Triggers</a>[m_TriggerIndex];</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            UndergroundTrigger trigger = UndergroundTrigger.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx( <span class="stringliteral">&quot;UndergroundTrigger&quot;</span>, <a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a3ccbd5dade671e8d228329395ec78ec2">ECE_LOCAL</a> ));</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordflow">if</span> (trigger)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">                #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                trigger.m_Local = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">                #endif</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                trigger.SetPosition(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a>() != <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                    trigger.SetOrientation(<a class="code hl_function" href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a>());</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga33e82262c3fc30a0921094432901b8d3">AddChild</a>(trigger,-1);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                trigger.Init(data);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                m_Trigger = trigger;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>}</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="keyword">enum</span> EUndergroundTriggerType</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>{</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a04029adb35ad73327e23768c0eac9f37">   75</a></span>    <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#a04029adb35ad73327e23768c0eac9f37">UNDEFINED</a>,</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#ac9612b86682fc520f7b0279793ca5e5e">   76</a></span>    <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#ac9612b86682fc520f7b0279793ca5e5e">TRANSITIONING</a>,</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a363aa51841dae3fc710a3655b28a9ebd">   77</a></span>    <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#a363aa51841dae3fc710a3655b28a9ebd">OUTER</a>,</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    INNER</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="keyword">class </span>UndergroundTrigger : <a class="code hl_class" href="../../d7/d05/class_man_trigger.html">ManTrigger</a></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>{</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a3064787f8e7d6bf708c996b31bdc7876">   83</a></span>    ref <a class="code hl_class" href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a> <a class="code hl_variable" href="../../d2/ddb/_universal_temperature_source_8c.html#a8c05930dc5de4f5a6c29b2ff22f25c85">m_Data</a>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a0049f8eef7c6afda4102b077ff817723">   85</a></span>    EUndergroundTriggerType <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a9a92a09ae7e5f095cf44725400ca97a2">   86</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#a9a92a09ae7e5f095cf44725400ca97a2">m_Accommodation</a>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#ae507670ac39652b98be588e77103a817">   87</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#ae507670ac39652b98be588e77103a817">m_InterpolationSpeed</a>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a7419e11ff68daf0a1f8958b54c4c3093">   89</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da7/_p_p_e_manager_8c.html#a8045e088b31fe0754fb20cb0a5ff0dc9">Init</a>(<a class="code hl_class" href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a> data)</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_variable" href="../../d2/ddb/_universal_temperature_source_8c.html#a8c05930dc5de4f5a6c29b2ff22f25c85">m_Data</a> = data;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="comment">//Print(&quot;Spawning trigger &quot; + this + &quot;at pos: &quot; + GetPosition());</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> extMax = data.<a class="code hl_function" href="../../d1/d13/class_json_underground_area_trigger_data.html#a2e2a49bf8cde82347dd476a5cbfa9199">GetSize</a>() * 0.5;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> extMin = -extMax;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_function" href="../../d1/d4b/class_trigger.html#a73c5812d3476cee4fa5d862ce9c03265">SetExtents</a>(extMin, extMax);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#a9a92a09ae7e5f095cf44725400ca97a2">m_Accommodation</a> = data.<a class="code hl_variable" href="../../d1/d13/class_json_underground_area_trigger_data.html#ab068c2e507d4fb6775e685888bd1c24f">EyeAccommodation</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#ae507670ac39652b98be588e77103a817">m_InterpolationSpeed</a> = data.<a class="code hl_variable" href="../../d1/d13/class_json_underground_area_trigger_data.html#ac81ea6c290360242b8d792679fdb668e">InterpolationSpeed</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> (data.<a class="code hl_variable" href="../../d1/d13/class_json_underground_area_trigger_data.html#a035ae29f8d581a690534423173578a6c">Breadcrumbs</a> &amp;&amp; data.<a class="code hl_variable" href="../../d1/d13/class_json_underground_area_trigger_data.html#a035ae29f8d581a690534423173578a6c">Breadcrumbs</a>.Count() &gt; 0) <span class="comment">//TODO: simpler check</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">if</span> (data.<a class="code hl_variable" href="../../d1/d13/class_json_underground_area_trigger_data.html#a035ae29f8d581a690534423173578a6c">Breadcrumbs</a>.Count() &gt; 32)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;max &#39;Breadcrumb&#39; count is 32, found: &quot;</span> + data.<a class="code hl_variable" href="../../d1/d13/class_json_underground_area_trigger_data.html#a035ae29f8d581a690534423173578a6c">Breadcrumbs</a>.Count());</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = EUndergroundTriggerType.TRANSITIONING;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/d15/_underground_trigger_8c.html#a9a92a09ae7e5f095cf44725400ca97a2">m_Accommodation</a> == 1)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = EUndergroundTriggerType.OUTER;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = EUndergroundTriggerType.INNER;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#af890dfc7c0d3559a481d8d3ab075157b">  120</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d05/class_man_trigger.html#aed8d14ddc3f09000417fb489d8db8aa7">CanAddObjectAsInsider</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <span class="keywordtype">object</span>)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">if</span> (!super.CanAddObjectAsInsider(<span class="keywordtype">object</span>))</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> player.IsControlledPlayer();</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#ab9cb1478eb08f9ce33c4549fd6e26b50">  132</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d05/class_man_trigger.html#a6d70af79ac725b1e247b9a99ed59e073">EOnInit</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> other, <span class="keywordtype">int</span> extra)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="comment">//disable parent behaviour</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#ac5b241ef6260c1cd54d237aa0509c487">  136</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dad/class_trigger_events.html#a7c410c82c63bd5898f744f1afd58fc52">OnEnterClientEvent</a>(<a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider) </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="comment">//Print(&quot;OnEnterClientEvent &quot; + this);</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="comment">//return;</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>());</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span> (player)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <a class="code hl_function" href="../../d4/dd4/_underground_handler_client_8c.html#a141b632094639a683d407af561b8e325">UndergroundHandlerClient</a> handler = player.GetUndergroundHandler();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordflow">if</span> (handler)</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                handler.OnTriggerEnter(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../de/d15/_underground_trigger_8c.html#a30a7fdef7555ee744d3183a68049822e">  151</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dad/class_trigger_events.html#ac6b5174fc180f4a9f39c214ad6c3adcd">OnLeaveClientEvent</a>(<a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider) </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="comment">//Print(&quot;OnLeaveClientEvent &quot; + this);</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="comment">//return;</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>());</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="keywordflow">if</span> (player)</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <a class="code hl_function" href="../../d4/dd4/_underground_handler_client_8c.html#a141b632094639a683d407af561b8e325">UndergroundHandlerClient</a> handler = player.GetUndergroundHandler();</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <span class="keywordflow">if</span> (handler)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                handler.OnTriggerLeave(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="preprocessor">    #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dad/class_trigger_events.html#a35b57ab1ed1aa2adb5352cc55f989bf3">OnEnterServerEvent</a>(<a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider) </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="preprocessor">        #ifndef SERVER</span><span class="comment">//to make it work in single during development</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_function" href="../../d9/dad/class_trigger_events.html#a7c410c82c63bd5898f744f1afd58fc52">OnEnterClientEvent</a>(insider);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dad/class_trigger_events.html#a8b9927d2f603b1690a6049f734446eaf">OnLeaveServerEvent</a>(<a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider) </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="preprocessor">        #ifndef SERVER</span><span class="comment">//to make it work in single during development</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <a class="code hl_function" href="../../d9/dad/class_trigger_events.html#ac6b5174fc180f4a9f39c214ad6c3adcd">OnLeaveClientEvent</a>(insider);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>};</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_central_economy_8c_html_a3ccbd5dade671e8d228329395ec78ec2"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a3ccbd5dade671e8d228329395ec78ec2">ECE_LOCAL</a></div><div class="ttdeci">const int ECE_LOCAL</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00024">CentralEconomy.c:24</a></div></div>
<div class="ttc" id="a_object_8c_html_a25741202afb6807f192843d19acb37a4"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a></div><div class="ttdeci">proto native vector GetOrientation()</div><div class="ttdoc">Retrieve orientation (yaw, pitch, roll) in degrees</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbe/_area_damage_manager_8c_source.html#l00306">AreaDamageManager.c:306</a></div></div>
<div class="ttc" id="a_p_p_e_manager_8c_html_a8045e088b31fe0754fb20cb0a5ff0dc9"><div class="ttname"><a href="../../de/da7/_p_p_e_manager_8c.html#a8045e088b31fe0754fb20cb0a5ff0dc9">Init</a></div><div class="ttdeci">void Init()</div><div class="ttdoc">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside o...</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da7/_p_p_e_manager_8c_source.html#l00084">PPEManager.c:84</a></div></div>
<div class="ttc" id="a_underground_area_loader_8c_html_af4b5180d61f839c99de2d15fdcda4568"><div class="ttname"><a href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a></div><div class="ttdeci">class JsonUndergroundAreaTriggerData GetPosition</div><div class="ttdoc">Retrieve position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00001">UndergroundAreaLoader.c:9</a></div></div>
<div class="ttc" id="a_underground_handler_client_8c_html_a141b632094639a683d407af561b8e325"><div class="ttname"><a href="../../d4/dd4/_underground_handler_client_8c.html#a141b632094639a683d407af561b8e325">UndergroundHandlerClient</a></div><div class="ttdeci">void UndergroundHandlerClient(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd4/_underground_handler_client_8c_source.html#l00035">UndergroundHandlerClient.c:35</a></div></div>
<div class="ttc" id="a_underground_trigger_8c_html_a04029adb35ad73327e23768c0eac9f37"><div class="ttname"><a href="../../de/d15/_underground_trigger_8c.html#a04029adb35ad73327e23768c0eac9f37">UNDEFINED</a></div><div class="ttdeci">class UndergroundTriggerCarrier extends UndergroundTriggerCarrierBase UNDEFINED</div></div>
<div class="ttc" id="a_underground_trigger_8c_html_a363aa51841dae3fc710a3655b28a9ebd"><div class="ttname"><a href="../../de/d15/_underground_trigger_8c.html#a363aa51841dae3fc710a3655b28a9ebd">OUTER</a></div><div class="ttdeci">class UndergroundTriggerCarrier extends UndergroundTriggerCarrierBase OUTER</div></div>
<div class="ttc" id="a_underground_trigger_8c_html_a9a92a09ae7e5f095cf44725400ca97a2"><div class="ttname"><a href="../../de/d15/_underground_trigger_8c.html#a9a92a09ae7e5f095cf44725400ca97a2">m_Accommodation</a></div><div class="ttdeci">float m_Accommodation</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00086">UndergroundTrigger.c:86</a></div></div>
<div class="ttc" id="a_underground_trigger_8c_html_ac9612b86682fc520f7b0279793ca5e5e"><div class="ttname"><a href="../../de/d15/_underground_trigger_8c.html#ac9612b86682fc520f7b0279793ca5e5e">TRANSITIONING</a></div><div class="ttdeci">class UndergroundTriggerCarrier extends UndergroundTriggerCarrierBase TRANSITIONING</div></div>
<div class="ttc" id="a_underground_trigger_8c_html_ae507670ac39652b98be588e77103a817"><div class="ttname"><a href="../../de/d15/_underground_trigger_8c.html#ae507670ac39652b98be588e77103a817">m_InterpolationSpeed</a></div><div class="ttdeci">float m_InterpolationSpeed</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00087">UndergroundTrigger.c:87</a></div></div>
<div class="ttc" id="a_universal_temperature_source_8c_html_a8c05930dc5de4f5a6c29b2ff22f25c85"><div class="ttname"><a href="../../d2/ddb/_universal_temperature_source_8c.html#a8c05930dc5de4f5a6c29b2ff22f25c85">m_Data</a></div><div class="ttdeci">string m_Data</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00206">UniversalTemperatureSource.c:206</a></div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01318">Game.c:1318</a></div></div>
<div class="ttc" id="aclass_json_underground_area_trigger_data_html"><div class="ttname"><a href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00020">UndergroundAreaLoader.c:21</a></div></div>
<div class="ttc" id="aclass_json_underground_area_trigger_data_html_a035ae29f8d581a690534423173578a6c"><div class="ttname"><a href="../../d1/d13/class_json_underground_area_trigger_data.html#a035ae29f8d581a690534423173578a6c">JsonUndergroundAreaTriggerData::Breadcrumbs</a></div><div class="ttdeci">ref array&lt; ref JsonUndergroundAreaBreadcrumb &gt; Breadcrumbs</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00042">UndergroundAreaLoader.c:42</a></div></div>
<div class="ttc" id="aclass_json_underground_area_trigger_data_html_a2e2a49bf8cde82347dd476a5cbfa9199"><div class="ttname"><a href="../../d1/d13/class_json_underground_area_trigger_data.html#a2e2a49bf8cde82347dd476a5cbfa9199">JsonUndergroundAreaTriggerData::GetSize</a></div><div class="ttdeci">vector GetSize()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00031">UndergroundAreaLoader.c:31</a></div></div>
<div class="ttc" id="aclass_json_underground_area_trigger_data_html_ab068c2e507d4fb6775e685888bd1c24f"><div class="ttname"><a href="../../d1/d13/class_json_underground_area_trigger_data.html#ab068c2e507d4fb6775e685888bd1c24f">JsonUndergroundAreaTriggerData::EyeAccommodation</a></div><div class="ttdeci">float EyeAccommodation</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00039">UndergroundAreaLoader.c:39</a></div></div>
<div class="ttc" id="aclass_json_underground_area_trigger_data_html_ac81ea6c290360242b8d792679fdb668e"><div class="ttname"><a href="../../d1/d13/class_json_underground_area_trigger_data.html#ac81ea6c290360242b8d792679fdb668e">JsonUndergroundAreaTriggerData::InterpolationSpeed</a></div><div class="ttdeci">float InterpolationSpeed</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00040">UndergroundAreaLoader.c:40</a></div></div>
<div class="ttc" id="aclass_json_underground_triggers_html_a8f831e4879ada5169f3fba16ba09636b"><div class="ttname"><a href="../../df/d51/class_json_underground_triggers.html#a8f831e4879ada5169f3fba16ba09636b">JsonUndergroundTriggers::Triggers</a></div><div class="ttdeci">ref array&lt; ref JsonUndergroundAreaTriggerData &gt; Triggers</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00003">UndergroundAreaLoader.c:3</a></div></div>
<div class="ttc" id="aclass_man_trigger_html"><div class="ttname"><a href="../../d7/d05/class_man_trigger.html">ManTrigger</a></div><div class="ttdoc">Trigger only accepting Object which IsMan()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd0/_man_trigger_8c_source.html#l00002">ManTrigger.c:3</a></div></div>
<div class="ttc" id="aclass_man_trigger_html_a6d70af79ac725b1e247b9a99ed59e073"><div class="ttname"><a href="../../d7/d05/class_man_trigger.html#a6d70af79ac725b1e247b9a99ed59e073">ManTrigger::EOnInit</a></div><div class="ttdeci">override void EOnInit(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd0/_man_trigger_8c_source.html#l00004">ManTrigger.c:4</a></div></div>
<div class="ttc" id="aclass_man_trigger_html_aed8d14ddc3f09000417fb489d8db8aa7"><div class="ttname"><a href="../../d7/d05/class_man_trigger.html#aed8d14ddc3f09000417fb489d8db8aa7">ManTrigger::CanAddObjectAsInsider</a></div><div class="ttdeci">override protected bool CanAddObjectAsInsider(Object object)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd0/_man_trigger_8c_source.html#l00009">ManTrigger.c:9</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_abe764b22b6eee91d169f3f5996fe0c3d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">ScriptCallQueue::CallLater</a></div><div class="ttdeci">proto void CallLater(func fn, int delay=0, bool repeat=false, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="aclass_trigger_events_html_a35b57ab1ed1aa2adb5352cc55f989bf3"><div class="ttname"><a href="../../d9/dad/class_trigger_events.html#a35b57ab1ed1aa2adb5352cc55f989bf3">TriggerEvents::OnEnterServerEvent</a></div><div class="ttdeci">protected void OnEnterServerEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcb/_trigger_events_8c_source.html#l00025">TriggerEvents.c:25</a></div></div>
<div class="ttc" id="aclass_trigger_events_html_a7c410c82c63bd5898f744f1afd58fc52"><div class="ttname"><a href="../../d9/dad/class_trigger_events.html#a7c410c82c63bd5898f744f1afd58fc52">TriggerEvents::OnEnterClientEvent</a></div><div class="ttdeci">protected void OnEnterClientEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcb/_trigger_events_8c_source.html#l00026">TriggerEvents.c:26</a></div></div>
<div class="ttc" id="aclass_trigger_events_html_a8b9927d2f603b1690a6049f734446eaf"><div class="ttname"><a href="../../d9/dad/class_trigger_events.html#a8b9927d2f603b1690a6049f734446eaf">TriggerEvents::OnLeaveServerEvent</a></div><div class="ttdeci">protected void OnLeaveServerEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcb/_trigger_events_8c_source.html#l00125">TriggerEvents.c:125</a></div></div>
<div class="ttc" id="aclass_trigger_events_html_ac6b5174fc180f4a9f39c214ad6c3adcd"><div class="ttname"><a href="../../d9/dad/class_trigger_events.html#ac6b5174fc180f4a9f39c214ad6c3adcd">TriggerEvents::OnLeaveClientEvent</a></div><div class="ttdeci">protected void OnLeaveClientEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcb/_trigger_events_8c_source.html#l00126">TriggerEvents.c:126</a></div></div>
<div class="ttc" id="aclass_trigger_html_a73c5812d3476cee4fa5d862ce9c03265"><div class="ttname"><a href="../../d1/d4b/class_trigger.html#a73c5812d3476cee4fa5d862ce9c03265">Trigger::SetExtents</a></div><div class="ttdeci">void SetExtents(vector mins, vector maxs)</div><div class="ttdoc">Set the size of the Trigger, avoid using SetCollisionBox directly.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00116">Trigger.c:116</a></div></div>
<div class="ttc" id="aclass_trigger_insider_html"><div class="ttname"><a href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a></div><div class="ttdoc">The object which is in a trigger and its metadata.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00002">Trigger.c:3</a></div></div>
<div class="ttc" id="aclass_trigger_insider_html_aa302c8deb0d142296c38ff1e8aa5af49"><div class="ttname"><a href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">TriggerInsider::GetObject</a></div><div class="ttdeci">Object GetObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00028">Trigger.c:28</a></div></div>
<div class="ttc" id="aclass_underground_area_loader_html"><div class="ttname"><a href="../../dd/de5/class_underground_area_loader.html">UndergroundAreaLoader</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00047">UndergroundAreaLoader.c:48</a></div></div>
<div class="ttc" id="aclass_underground_area_loader_html_a6a31fd08c51f59856b563930cff87208"><div class="ttname"><a href="../../dd/de5/class_underground_area_loader.html#a6a31fd08c51f59856b563930cff87208">UndergroundAreaLoader::m_JsonData</a></div><div class="ttdeci">static ref JsonUndergroundTriggers m_JsonData</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00051">UndergroundAreaLoader.c:51</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html">UndergroundTriggerCarrierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00003">UndergroundTrigger.c:4</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_a2781bd929db1154b09e0171a2e1920ff"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#a2781bd929db1154b09e0171a2e1920ff">UndergroundTriggerCarrierBase::SpawnTrigger</a></div><div class="ttdeci">void SpawnTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00042">UndergroundTrigger.c:42</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_a35c579a0e250286f08423a5f1439bb17"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#a35c579a0e250286f08423a5f1439bb17">UndergroundTriggerCarrierBase::m_Data</a></div><div class="ttdeci">ref JsonUndergroundAreaTriggerData m_Data</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00005">UndergroundTrigger.c:5</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_a54b9bc82fe01004b65c6977219ba20a1"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#a54b9bc82fe01004b65c6977219ba20a1">UndergroundTriggerCarrierBase::RequestDelayedTriggerSpawn</a></div><div class="ttdeci">void RequestDelayedTriggerSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00036">UndergroundTrigger.c:36</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_a5e1afd54af9f60e7e4ac22fcac8322c5"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#a5e1afd54af9f60e7e4ac22fcac8322c5">UndergroundTriggerCarrierBase::UndergroundTriggerCarrier</a></div><div class="ttdeci">void UndergroundTriggerCarrier()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00008">UndergroundTrigger.c:8</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_a85935355a7d5711d54ef66191232da3f"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#a85935355a7d5711d54ef66191232da3f">UndergroundTriggerCarrierBase::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00022">UndergroundTrigger.c:22</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_a936349bab0e3be7315c48940de89ac06"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#a936349bab0e3be7315c48940de89ac06">UndergroundTriggerCarrierBase::CanSpawnTrigger</a></div><div class="ttdeci">bool CanSpawnTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00031">UndergroundTrigger.c:31</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_ab77ace42af186622de28b0c40992cd12"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#ab77ace42af186622de28b0c40992cd12">UndergroundTriggerCarrierBase::~UndergroundTriggerCarrier</a></div><div class="ttdeci">void ~UndergroundTriggerCarrier()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00013">UndergroundTrigger.c:13</a></div></div>
<div class="ttc" id="aclass_underground_trigger_carrier_base_html_af942e69f18c0ddcfc419be74650e7f2b"><div class="ttname"><a href="../../d8/d55/class_underground_trigger_carrier_base.html#af942e69f18c0ddcfc419be74650e7f2b">UndergroundTriggerCarrierBase::m_Trigger</a></div><div class="ttdeci">UndergroundTrigger m_Trigger</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d15/_underground_trigger_8c_source.html#l00006">UndergroundTrigger.c:6</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00104">EnConvert.c:104</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___tools_html_gaaf491f3ecd1d9aefb35a16bf96ca420c"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a></div><div class="ttdeci">const int CALL_CATEGORY_SYSTEM</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00008">tools.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga33e82262c3fc30a0921094432901b8d3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga33e82262c3fc30a0921094432901b8d3">AddChild</a></div><div class="ttdeci">proto native void AddChild(Widget child, bool immedUpdate=true)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_d0a9ed3069b91726da9f1927000078f9.html">ScriptedEntities</a></li><li class="navelem"><a class="el" href="../../dir_6078c131c69a1ce41efd829f012f12be.html">Triggers</a></li><li class="navelem"><a class="el" href="../../de/d15/_underground_trigger_8c.html">UndergroundTrigger.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
